Subject: bug#36924: GDM, GNOME Shell, etc. break when there are stale caches

From: zimoun <[email-masked]>
Date: Wed, 23 Mar 2022 12:28:57 +0100

Hi,

This old bug [1] is there since a long time.  What is the status?

1: <http://issues.guix.gnu.org/issue/36924>

On Sun, 04 Aug 2019 at 23:00, Ricardo Wurmus <[email-masked]> wrote:

> Today I again couldn’t log into my workstation after upgrading the
> system.  I’m using GDM + GNOME Shell.
>
> At first GDM wouldn’t start.  I knew what to do: remove /var/lib/gdm,
> because some state must have accumulated there.
>
> GDM came up after a reboot, but I still couldn’t log in.  Instead I was
> thrown back to the login screen without any error message.  I looked in
> ~/.cache/gdm/session.log for information, but it only told me that
> gnome-shell was killed.  Thanks.
>
> After removing both .local/share and .cache out of the way I could log
> in again.
>
> This happens whenever I upgrade the system.  This makes the system
> rather frustrating to use.  I don’t know if booting into an older system
> generation would result in the same problem, but my guess is that it
> would because both GDM and GNOME Shell appear to be leaving some binary
> files behind that cause different versions to crash unceremoneously.
>
> What can we do to make GDM and GNOME Shell more reliable?

Is it still an issue?

Cheers,
simon